Subject: [PATCH] MXS: Convert mutexes in clock.c to spinlocks

From: [email-masked] (Marek Vasut)
Date: Mon, 19 Dec 2011 22:05:25 +0100

> On Mon, Dec 19, 2011 at 09:54:25PM +0100, Marek Vasut wrote:
> > > So, in summary, you have everything you require to fix it outside the
> > > driver.  You just have to decide which of the two options you want to
> > > proceed with, and actually (and finally) do it instead of endlessly
> > > procrastinating and waiting for more and more bug reports (which is
> > > exactly what has happened so far.)
> > 
> > What the hell, I just recently found this bug and I submitted a patch
> > right away! What are you complaining about?!
> 
> If you want to take that attitude to my attempt to help you understand
> the problem and see solutions, I'll ignore you permanently for being an
> absolute twit.

Go ahead, but you accused me of procrastinating and waiting even if the first 
thing I did when I saw the bug was start solving it. That's just insane!

> I'm not going to spend time giving a detailed explaination
> about the background and options over something to only then have it
> immediately shoved back in my face with such a response.

I consider my response to the last part of your email appropriate.

M